FormsList submissions

List submissions

Needs: Forms, Read

Lists form submissions, newest first: id, form, submitter, status, type and date. Use the submission endpoint for the answers.

curl -X GET "https://app.imploy.com.au/api/integrations/v1/form-submissions?form_id=123&status=example_string&type=example_string&submitter=example_string&from=example_string&to=example_string&page=25&per_page=25" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": [
    {
      "id": 310,
      "form_id": 14,
      "form": "Visit feedback",
      "submitter": "Example Person",
      "email": "example.person@example.com",
      "status": "Submitted",
      "type": "form",
      "submitted_at": "2026-03-02 05:30:00"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 25,
    "total": 1,
    "last_page": 1
  }
}
GET
/form-submissions
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
query
form_idinteger

Only this form.

query
statusstring

Match a submission status.

query
typestring

form, incident or prospect.

query
submitterstring

Match the submitter's name or email.

query
fromstring

YYYY-MM-DD.

query
tostring

YYYY-MM-DD.

query
pageinteger

Page number, 1 or greater.

query
per_pageinteger

1 to 50. Defaults to 25.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Query Parameters

form_idinteger

Only this form.

statusstring

Match a submission status.

typestring

form, incident or prospect.

submitterstring

Match the submitter's name or email.

fromstring

YYYY-MM-DD.

tostring

YYYY-MM-DD.

pageinteger

Page number, 1 or greater.

per_pageinteger

1 to 50. Defaults to 25.

Responses

OK